#include <iostream>
using namespace std;

int main()
{
    long long N,A;
    long long a,b=0,c,d=0,e,f;
    cin>>N>>A;
  
    if (N >= 3*A)
    {
           if ( N%2 == 0 )
        {
            
            a = A;
            b = 0;
            c = A;
            d = 0;
            N = N - 2*A;
            
            if(N >= 2*A)
            {
                e = N/2 + 1;
                f = N/2 - 1;
            }
            
            else
            {
                e = A;
                f = N-A;
                
            }
            
        }
        
        else 
        {
            a = A;
            b = 1;
            c = A;
            d = 0;
            N = N - 1;
            N = N - 2*A;
            
            if(N >= 2*A)
            {
                e = N/2 + 1;
                f = N/2 - 1;
            }
            
            else
            {
                e = A;
                f = N-A;
                
            }
            
        }
        
        std::cout << a << " " << b << std::endl;
        std::cout << c << " " << d << std::endl;
        std::cout << e << " " << f << std::endl;
         
    }
    
    else
    {
        cout<< -1;
    }
    
    
    
    
    
    
    
    return 0;
}